/*********************************************************
*
*  Multi Theft Auto: San Andreas - Deathmatch
*
*  MySQL 5.0, External lua add-on module
*  http://www.multitheftauto.com
*
*  Copyright  2003-2008 MTA.  All Rights Reserved.
*
*  Grand Theft Auto is  2002-2003 Rockstar North
*
*  THE FOLLOWING SOURCES ARE PART OF THE MULTI THEFT
*  AUTO SOFTWARE DEVELOPMENT KIT AND ARE RELEASED AS
*  OPEN SOURCE FILES. THESE FILES MAY BE USED AS LONG
*  AS THE DEVELOPER AGREES TO THE LICENSE THAT IS
*  PROVIDED WITH THIS PACKAGE.
*
*********************************************************/

class CFunctions;

#ifndef __CFUNCTIONS_H
#define __CFUNCTIONS_H

#include <stdio.h>
#include "CMySQL.h"

#include "include/ILuaModuleManager.h"
extern ILuaModuleManager *pModuleManager;

class CFunctions
{
public:
	explicit		CFunctions				( void );
	virtual			~CFunctions				( void );

	// MySQL command functions (thread interaction)
	static int		MySQLSafeString			( lua_State* luaVM );
	static int		MySQLCreate				( lua_State* luaVM );
	static int		MySQLOpen				( lua_State* luaVM );
	static int		MySQLDestroy			( lua_State* luaVM );
	static int		MySQLQuery				( lua_State* luaVM );
};
#endif
